/*
 * @Author: Kane
 * @Date: 2023-10-24 11:06:29
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/mybatis/pojo/BIDepartmentRenewalRateRecord.java
 * @Description: BI机构当月个车续保率跟踪表记录对象
 * 
 * Copyright (c) ${2023} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.mybatis.pojo;

public class BIDepartmentRenewalRateRecord
{
    private String 责任部门;
    private double 机构目标值;
    private int 到期数全月;
    private double 序时到期数占比;
    private double 个车续保率序时;
    private double 个车续保率全月;
    private double 环比昨日;
    private double 环比上月;
    // private int 平均提前签单天数;
    // private double 环比;

    public BIDepartmentRenewalRateRecord()
    {}

    public BIDepartmentRenewalRateRecord( String 责任部门, double 机构目标值, int 到期数全月, double 序时到期数占比,
            double 个车续保率序时, double 个车续保率全月, double 环比昨日, double 环比上月 )
    {
        this.责任部门 = 责任部门;
        this.机构目标值 = 机构目标值;
        this.到期数全月 = 到期数全月;
        this.序时到期数占比 = 序时到期数占比;
        this.个车续保率序时 = 个车续保率序时;
        this.个车续保率全月 = 个车续保率全月;
        this.环比昨日 = 环比昨日;
        this.环比上月 = 环比上月;
        // this.平均提前签单天数 = 平均提前签单天数;
        // this.环比 = 环比;
    }

    public String get责任部门()
    {
        return 责任部门;
    }

    public void set责任部门( String 责任部门 )
    {
        this.责任部门 = 责任部门;
    }

    public double get机构目标值()
    {
        return 机构目标值;
    }

    public void set机构目标值( double 机构目标值 )
    {
        this.机构目标值 = 机构目标值;
    }

    public int get到期数全月()
    {
        return 到期数全月;
    }

    public void set到期数全月( int 到期数全月 )
    {
        this.到期数全月 = 到期数全月;
    }

    public double get序时到期数占比()
    {
        return 序时到期数占比;
    }

    public void set序时到期数占比( double 序时到期数占比 )
    {
        this.序时到期数占比 = 序时到期数占比;
    }

    public double get个车续保率序时()
    {
        return 个车续保率序时;
    }

    public void set个车续保率序时( double 个车续保率序时 )
    {
        this.个车续保率序时 = 个车续保率序时;
    }

    public double get个车续保率全月()
    {
        return 个车续保率全月;
    }

    public void set个车续保率全月( double 个车续保率全月 )
    {
        this.个车续保率全月 = 个车续保率全月;
    }

    public double get环比昨日()
    {
        return 环比昨日;
    }

    public void set环比昨日( double 环比昨日 )
    {
        this.环比昨日 = 环比昨日;
    }

    public double get环比上月()
    {
        return 环比上月;
    }

    public void set环比上月( double 环比上月 )
    {
        this.环比上月 = 环比上月;
    }


    @Override
    public int hashCode()
    {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((责任部门 == null) ? 0 : 责任部门.hashCode());
        long temp;
        temp = Double.doubleToLongBits( 机构目标值 );
        result = prime * result + (int) (temp ^ (temp >>> 32));
        result = prime * result + 到期数全月;
        temp = Double.doubleToLongBits( 序时到期数占比 );
        result = prime * result + (int) (temp ^ (temp >>> 32));
        temp = Double.doubleToLongBits( 个车续保率序时 );
        result = prime * result + (int) (temp ^ (temp >>> 32));
        temp = Double.doubleToLongBits( 个车续保率全月 );
        result = prime * result + (int) (temp ^ (temp >>> 32));
        temp = Double.doubleToLongBits( 环比昨日 );
        result = prime * result + (int) (temp ^ (temp >>> 32));
        temp = Double.doubleToLongBits( 环比上月 );
        result = prime * result + (int) (temp ^ (temp >>> 32));
        return result;
    }

    @Override
    public boolean equals( Object obj )
    {
        if ( this == obj )
            return true;
        if ( obj == null )
            return false;
        if ( getClass() != obj.getClass() )
            return false;
        BIDepartmentRenewalRateRecord other = (BIDepartmentRenewalRateRecord) obj;
        if ( 责任部门 == null )
        {
            if ( other.责任部门 != null )
                return false;
        }
        else if ( !责任部门.equals( other.责任部门 ) )
            return false;
        if ( Double.doubleToLongBits( 机构目标值 ) != Double.doubleToLongBits( other.机构目标值 ) )
            return false;
        if ( 到期数全月 != other.到期数全月 )
            return false;
        if ( Double.doubleToLongBits( 序时到期数占比 ) != Double.doubleToLongBits( other.序时到期数占比 ) )
            return false;
        if ( Double.doubleToLongBits( 个车续保率序时 ) != Double.doubleToLongBits( other.个车续保率序时 ) )
            return false;
        if ( Double.doubleToLongBits( 个车续保率全月 ) != Double.doubleToLongBits( other.个车续保率全月 ) )
            return false;
        if ( Double.doubleToLongBits( 环比昨日 ) != Double.doubleToLongBits( other.环比昨日 ) )
            return false;
        if ( Double.doubleToLongBits( 环比上月 ) != Double.doubleToLongBits( other.环比上月 ) )
            return false;
        return true;
    }

    @Override
    public String toString()
    {
        return "BIDepartmentRenewalRateRecord [责任部门=" + 责任部门 + ", 机构目标值=" + 机构目标值 + ", 到期数全月="
                + 到期数全月 + ", 序时到期数占比=" + 序时到期数占比 + ", 个车续保率序时=" + 个车续保率序时 + ", 个车续保率全月=" + 个车续保率全月
                + ", 环比昨日=" + 环比昨日 + ", 环比上月=" + 环比上月 + "]";
    }
}
